petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMSetField

Set the discretization object for a given DM field

### Synopsis

    #include "petscdm.h"
    PetscErrorCode DMSetField(DM dm, PetscInt f, PetscObject field)

Logically collective on DM

### Input Parameters

| dm | - The DM
| f | - The field number
| field | - The discretization object

### See Also

DMGetField()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages